---
description: Tracks the number of rejected code suggestions. Important for AI analytics
internal_events: true
action: code_suggestions_rejected
identifiers:
  - user
product_section: dev
product_stage: create
product_group: code_creation
milestone: '17.1'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/152946
distributions:
  - ee
tiers:
  - premium
  - ultimate
